Package org.lwjgl.opengl

# Class ARBBufferStorage

java.lang.Object
org.lwjgl.opengl.ARBBufferStorage

public final class ARBBufferStorage extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_BUFFER_IMMUTABLE_STORAGE`
Accepted by the <pname> parameter of GetBufferParameter{i|i64}v:\
`static final int`
`GL_BUFFER_STORAGE_FLAGS`
Accepted by the <pname> parameter of GetBufferParameter{i|i64}v:\
`static final int`
`GL_CLIENT_MAPPED_BUFFER_BARRIER_BIT`
Accepted by the <barriers> parameter of MemoryBarrier:
`static final int`
`GL_CLIENT_STORAGE_BIT`
Accepted in the <flags> parameter of BufferStorage and NamedBufferStorageEXT:
`static final int`
`GL_DYNAMIC_STORAGE_BIT`
Accepted in the <flags> parameter of BufferStorage and NamedBufferStorageEXT:
`static final int`
`GL_MAP_COHERENT_BIT`
Accepted in the <flags> parameter of BufferStorage and NamedBufferStorageEXT:
`static final int`
`GL_MAP_PERSISTENT_BIT`
Accepted in the <flags> parameter of BufferStorage and NamedBufferStorageEXT:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glBufferStorage(int target, long size, int flags)`
Overloads glBufferStorage.
`static void`
`glBufferStorage(int target, ByteBuffer data, int flags)`
`static void`
`glBufferStorage(int target, DoubleBuffer data, int flags)`
`static void`
`glBufferStorage(int target, FloatBuffer data, int flags)`
`static void`
`glBufferStorage(int target, IntBuffer data, int flags)`
`static void`
`glBufferStorage(int target, LongBuffer data, int flags)`
`static void`
`glBufferStorage(int target, ShortBuffer data, int flags)`
`static void`
`glNamedBufferStorageEXT(int buffer, long size, int flags)`
Overloads glNamedBufferStorageEXT.
`static void`
`glNamedBufferStorageEXT(int buffer, ByteBuffer data, int flags)`
`static void`
`glNamedBufferStorageEXT(int buffer, DoubleBuffer data, int flags)`
`static void`
`glNamedBufferStorageEXT(int buffer, FloatBuffer data, int flags)`
`static void`
`glNamedBufferStorageEXT(int buffer, IntBuffer data, int flags)`
`static void`
`glNamedBufferStorageEXT(int buffer, LongBuffer data, int flags)`
`static void`
`glNamedBufferStorageEXT(int buffer, ShortBuffer data, int flags)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_MAP_PERSISTENT_BIT

public static final int GL_MAP_PERSISTENT_BIT
Accepted in the <flags> parameter of BufferStorage and NamedBufferStorageEXT:

See Also:
  - Constant Field Values

### GL_MAP_COHERENT_BIT

public static final int GL_MAP_COHERENT_BIT
Accepted in the <flags> parameter of BufferStorage and NamedBufferStorageEXT:

See Also:
  - Constant Field Values

### GL_DYNAMIC_STORAGE_BIT

public static final int GL_DYNAMIC_STORAGE_BIT
Accepted in the <flags> parameter of BufferStorage and NamedBufferStorageEXT:

See Also:
  - Constant Field Values

### GL_CLIENT_STORAGE_BIT

public static final int GL_CLIENT_STORAGE_BIT
Accepted in the <flags> parameter of BufferStorage and NamedBufferStorageEXT:

See Also:
  - Constant Field Values

### GL_BUFFER_IMMUTABLE_STORAGE

public static final int GL_BUFFER_IMMUTABLE_STORAGE
Accepted by the <pname> parameter of GetBufferParameter{i|i64}v:\

See Also:
  - Constant Field Values

### GL_BUFFER_STORAGE_FLAGS

public static final int GL_BUFFER_STORAGE_FLAGS
Accepted by the <pname> parameter of GetBufferParameter{i|i64}v:\

See Also:
  - Constant Field Values

### GL_CLIENT_MAPPED_BUFFER_BARRIER_BIT

public static final int GL_CLIENT_MAPPED_BUFFER_BARRIER_BIT
Accepted by the <barriers> parameter of MemoryBarrier:

See Also:
  - Constant Field Values

## Method Details

### glBufferStorage

public static void glBufferStorage(int target, ByteBuffer data, int flags)

### glBufferStorage

public static void glBufferStorage(int target, DoubleBuffer data, int flags)

### glBufferStorage

public static void glBufferStorage(int target, FloatBuffer data, int flags)

### glBufferStorage

public static void glBufferStorage(int target, IntBuffer data, int flags)

### glBufferStorage

public static void glBufferStorage(int target, ShortBuffer data, int flags)

### glBufferStorage

public static void glBufferStorage(int target, LongBuffer data, int flags)

### glBufferStorage

public static void glBufferStorage(int target, long size, int flags)
Overloads glBufferStorage.

### glNamedBufferStorageEXT

public static void glNamedBufferStorageEXT(int buffer, ByteBuffer data, int flags)

### glNamedBufferStorageEXT

public static void glNamedBufferStorageEXT(int buffer, DoubleBuffer data, int flags)

### glNamedBufferStorageEXT

public static void glNamedBufferStorageEXT(int buffer, FloatBuffer data, int flags)

### glNamedBufferStorageEXT

public static void glNamedBufferStorageEXT(int buffer, IntBuffer data, int flags)

### glNamedBufferStorageEXT

public static void glNamedBufferStorageEXT(int buffer, ShortBuffer data, int flags)

### glNamedBufferStorageEXT

public static void glNamedBufferStorageEXT(int buffer, LongBuffer data, int flags)

### glNamedBufferStorageEXT

public static void glNamedBufferStorageEXT(int buffer, long size, int flags)
Overloads glNamedBufferStorageEXT.